Ticket #32314

Microsoft IMEの候補コメントの読み上げ

Open Date: 2013-10-20 12:50 Last Update: 2013-12-07 23:46

Reporter: nishimoto Owner: (None)
Type: Feature Requests Status: Closed
Component: IME MileStone: 2013.3jp (closed)
Priority: 5 - Medium Severity: 5 - Medium
Resolution: Fixed

Details

Microsoft IMEの候補コメントの読み上げについて、ATOK で行った作業と同じことをまず検討します。

  • コメントウィンドウが表示されたらビープを鳴らし、ナビゲーターオブジェクトをコメントウィンドウに移動する。
  • さらに、コメントウィンドウの中央にマウスポインタを移動する。

関連作業:チケット #32176 ATOKの候補コメントの読み上げ

https://sourceforge.jp/ticket/browse.php?group_id=4221&tid=32176

Attachment File List

No attachments

Ticket History (3/4 Histories)

2013-10-20 12:50 Updated by: nishimoto
  • New Ticket "Microsoft IMEの候補コメントの読み上げ" created
2013-10-20 18:59 Updated by: nishimoto
  • Milestone Update from (None) to 2013.3jp (closed)
  • Resolution Update from None to Fixed
Comment

実装してみたのでコミットします。

以下の仕様になりました:

  • Microsoft IME で候補選択を変更したら、1秒後に単語コメントのウィンドウが表示されたかどうかをチェックする。
  • もし単語コメントがあれば、選択中の候補の説明だけを ui.message で(音声と点字の両方で)通知する。

Windows 8.1 の Microsoft IME で単語コメントがついている単語は多くはありませんが、以下のような単語で動作を確認しています。

かんじ:「監事」「幹事」
じしょ:「自署」「辞書」「字書」「自書」
[ti32314 6e10ceb] read only the comment of current word.
 1 file changed, 37 insertions(+), 35 deletions(-)

To ssh://git@bitbucket.org/nvdajp/nvdajp.git
 * [new branch]      ti32314 -> ti32314
2013-12-05 14:23 Updated by: nishimoto
  • Ticket Close date is changed to 2013-12-05 14:23
  • Status Update from Open to Closed
  • Component Update from (None) to IME
2013-12-07 23:46 Updated by: nishimoto
Comment

候補コメント読み上げ機能について、 Windows XP および Vista では以下のとおり確認しております。

  • Windows XP sp3 + Microsoft IME :非対応
  • Windows Vista sp3 + Microsoft IME :非対応
  • Windows Vista sp3 + Microsoft Office IME 2007 では候補コメント読み上げを行う

非対応の環境については今後の課題とさせていただきます。ご了承ください。

Edit

Please login to add comment to this ticket » Login